We want everybody to be able to enjoy Bond Touch. But, right now, these phone models are incompatible with Bond Touch due to connectivity issues:

  • UMIDIGI - all models.
  • Huawei - P8 Lite, 30M, and P40
  • LG - Boost, Stylo (all models), Rebel 2
  • Samsung - Samsung Galaxy J3, Samsung Galaxy Core Prime, Samsung Galaxy Grand Prime

Besides that, any Huawei phone models that don’t support Google mobile services aren’t compatible with the Bond Touch app.

If you have jailbroken or rooted devices, we are unable to predict the behavior of the operating systems. As the app has been created for non tampered smartphones.

We do the best we can to keep this list short. And to keep it updated. If you think your smartphone might not be compatible with Bond Touch, don’t be shy: just reach out to us on the Website’s chat.

Did this answer your question?